Subject: Re: bug#14380: 24.3; `network-stream-open-tls' fails in some imap servers on w32

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 May 2013 10:06:15 +0300

> From: João Távora <[email-masked]>
> Date: Fri, 10 May 2013 21:44:12 +0100
> Cc: [email-masked]
> 
> OK, I see.
> 
> Honestly I thought builtin tls was some kind of tls library in elisp.
> Needing external libraries doesn't make it very builtin :-), but
> that's just my opinion.

It's builtin in the sense that it does not need external programs.

> In any case, my description shows how it "almost worked" with whatever
> tls client it found (it was probably cygwin's, but I didn't check).
> You might want to avoid these bug reports by fixing it the way I
> suggested or some other way. Or not. All is OK from my part.

The native Windows build of Emacs doesn't work very well with an
external tls client, because their interaction is through signals,
which are not supported by Windows.